libwget-console(3)

NAME
libwget-console - Console functions

SYNOPSIS

  Functions
void wget_console_set_fg_color (WGET_GCC_UNUSED wget_console_color colorid)
void wget_console_reset_fg_color (void)
int wget_console_init (void)
int wget_console_deinit (void)

Detailed Description

Routines to address console controls like cursor positioning, fg+bg colors, ...

Function Documentation

  void wget_console_set_fg_color (WGET_GCC_UNUSED wget_console_color colorid)

Parameters
    colorid Number of foreground/text color to set

Sets the console foreground (text) color.

  void wget_console_reset_fg_color (void )
Resets the console foreground (text) color.

  int wget_console_init (void )

Returns
    0 on success, or -1 on error

Initializes the console.

  int wget_console_deinit (void )

Returns
    0 on success, or -1 on error

Deinitializes the console.

Author

Generated automatically by Doxygen for wget2 from the source code.